Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Sampler Class Reference

STK sampling synthesis abstract base class. More...

`#include <Sampler.h>`

Inheritance diagram for Sampler:

List of all members.

## Public Member Functions

| Sampler ()
| Default constructor.
virtual | ~Sampler ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
virtual void | setFrequency (MY_FLOAT frequency)=0
| Set instrument parameters for a particular frequency.
void | keyOn ()
| Initiate the envelopes with a key-on event and reset the attack waves.
void | keyOff ()
| Signal a key-off event to the envelopes.
virtual void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)=0
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK sampling synthesis abstract base class.

This instrument contains up to 5 attack waves, 5 looped waves, and an ADSR envelope.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 21 of file Sampler.h.

The documentation for this class was generated from the following file:

- Sampler.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.